uk.gov.hmrc.play.scheduling

# LockedScheduledJob

###
Related Doc: package scheduling

#### trait LockedScheduledJob extends ScheduledJob

Linear Supertypes
ScheduledJob, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LockedScheduledJob
2. ScheduledJob
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### case class Result(message: String) extends Product with Serializable

   Definition Classes
     ScheduledJob

### Abstract Value Members

1. #### abstract def executeInLock(implicit ec: ExecutionContext): Future[Result]

2. #### abstract def initialDelay: FiniteDuration

   Definition Classes
     ScheduledJob

3. #### abstract def interval: FiniteDuration

   Definition Classes
     ScheduledJob

4. #### abstract val lockRepository: LockRepository

5. #### abstract def name: String

   Definition Classes
     ScheduledJob

6. #### abstract val releaseLockAfter: Duration

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def configKey: String

   Definition Classes
     ScheduledJob

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### final def execute(implicit ec: ExecutionContext): Future[Result]

   Definition Classes
     LockedScheduledJob → ScheduledJob

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def isRunning: Future[Boolean]

    Definition Classes
      LockedScheduledJob → ScheduledJob

15. #### lazy val lockKeeper: LockKeeper

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      ScheduledJob → AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ScheduledJob

### Inherited from AnyRef

### Inherited from Any

### Ungrouped